import java.util.Random;

public class Felder
{
    private int[] zahl;
    private float[] guenther;

    private int aktuellePosition;
    private Random zg; // Zufallszahlgenerator

    public Felder(int laenge)
    {
        zahl = new int[laenge];
        aktuellePosition = 0;
        zg = new Random();
        guenther = new float[10];
    }

    public void setzeZahl(int index, int nummer)
    {
        zahl[index] = nummer;
    }
    
    public void haengeAn(int nummer)
    {
        if (aktuellePosition < zahl.length) {
            zahl[aktuellePosition] = nummer;
            aktuellePosition++;
        }        
        else
        {
            System.out.println("Das Feld ist voll.");
        }
    }
    
    public void gibZahlenAus()
    {
        for (int index=0; index<zahl.length; index++)
        {
            System.out.println("Zahl an " + (index+1) + ". Stelle: " + zahl[index]);
        }
    }
    
    public void fuelleZufaelligInt()
    {
         for (int index=0; index<zahl.length; index++)
         {
             zahl[index] = zg.nextInt(6) + 1;
         }
    }
    
    public void fuelleZufaelligFloat()
    {
         for (int index=0; index<guenther.length; index++)
         {
             // Zufallszahl im Intervall [0; 10[
             guenther[index] = zg.nextFloat()*10;
         }
    }
    
    public float gibMittelwertFloat()
    {
        float summe = 0;
         for (int index=0; index<guenther.length; index++)
         {
             summe = summe + guenther[index];
         }
         
         return summe / guenther.length;
    }
}
